Subject: Re: bug#20809: 25.0.50; package-list-packages never finishes async update if cert bad

From: Artur Malabarba <[email-masked]>
Date: Mon, 15 Jun 2015 09:50:45 +0100

> I just rebuilt, and it seems to be working. It’s a bit hard to tell
> if the other sources are all updating correctly, because the
> timestamps on the other sources aren’t updating to the current date

I think they should be.

> - I *believe* because there arent any new packages since their last
> updates.

Package.el doesn't do any kind of content check before writing the
file. If the connection succeeds and signature checks out, the buffer
is saved to the respective archive-contents.
I think `url` may do some caching, but even then, the timestamps on
the files should update because the files themselves are still written
anew.

>   ; ls -alR archives/*/archive-contents
>   -rw-r--r--  1 yandros  staff   11670 Jun 13 20:56 archives/Tom/archive-contents
>   -rw-r--r--  1 yandros  staff   21278 Jun 14 15:45 archives/gnu/archive-contents
>   -rw-r--r--  1 yandros  staff  113127 Jun 13 16:18 archives/marmalade/archive-contents
>   -rw-r--r--  1 yandros  staff  159677 Jun 13 20:56 archives/melpa-stable/archive-contents

For me, these timestamps are always the same (and corespond to my most
recent `list-packages').